none
[UWP]Setting the Min Value

    Question

  • I have an app for which I have created an App Package. However, when I upload the package I get the following messages:

    This package targets min version 10.0.0.0, but it has a dependency on a framework Microsoft.VCLibs.140.00 14.0.22929.0 that targets min version 10.0.10042.0. Update the min value in the package to specify a value of 10.0.10042.0 or greater.

    This package targets min version 10.0.0.0, but it has a dependency on a framework Microsoft.NET.Native.Framework.1.2 1.2.23231.0 that targets min version 10.0.10049.0. Update the min value in the package to specify a value of 10.0.10049.0 or greater.

    This package targets min version 10.0.0.0, but it has a dependency on a framework Microsoft.NET.Native.Runtime.1.1 1.1.23406.0 that targets min version 10.0.10049.0. Update the min value in the package to specify a value of 10.0.10049.0 or greater.

    Note that all three of these messages want me to update the min value. In My Project->Application, it says Min version: Windows 10 (10.0; Build 10240) and in the View Code for my Package.appxmanifest file, it says

    <TargetDeviceFamily Name="Windows.Desktop" MinVersion="10.0.0.0" MaxVersionTested="10.0.0.0" />

    (it says Windows.Desktop because my app is not appropriate for phones). The build in My Project->Application (10240) is higher than the one they want (10049), so is it in the Package.appxmanifest that they want me to change it? If not, where should I change it? Thanks.


    Nathan Sokalski njsokalski@hotmail.com http://www.nathansokalski.com/


    • Edited by Nathan Sokalski Thursday, January 14, 2016 5:37 PM format/readability
    Thursday, January 14, 2016 5:35 PM

All replies

  • Hello Nathan,

    You may find the information you’re looking for here. If this does not help to guide you appropriately, please create a request with us here through your developer account so we may assist you. Thank you!

    Friday, January 22, 2016 8:07 PM
  • Looks like the answer is to open your Package.appxmanifest file in a text editor (or right click in Solution Explorer and select "View Code"), and then change this line to include whatever minimums you're being told to include...

    <TargetDeviceFamily Name="Windows.Desktop" MinVersion="10.0.10049.0" MaxVersionTested="10.0.10049.0" />

    Now it did seem that I might have been able to save my package anyway, but I edited the line, rebuilt, and uploaded, and everything was happy. So you were on exactly the right track.


    • Edited by ruffin_ Wednesday, June 29, 2016 6:48 PM
    Wednesday, June 29, 2016 6:48 PM